Skip to content

HTTPS clone URL

Subversion checkout URL

You can clone with HTTPS or Subversion.

Download ZIP
branch: master
Commits on Apr 30, 2015
  1. @joshbetz

    s/Adbusters/adbusters

    joshbetz authored
    `wpcom_vip_load_plugin()` is case sensitive.
    
    cc @mdrovdahl
Commits on Apr 22, 2015
  1. @nickdaugherty

    Merge pull request #274 from emrikol/VIPRestrictedVariablesCheck_fix

    nickdaugherty authored
    Removed reference to VIPRestrictedVariablesCheck that was left over.
  2. VIP Scanner: Removed reference to VIPRestrictedVariablesCheck that wa…

    Derrick Tennant authored
    …s left over.
    
    After refactoring VIPRestrictedVariablesCheck into VIPRestrictedPatternsCheck I missed removing the reference in config-vip-scanner.php causing a `Check "VIPRestrictedVariablesCheck" does not exist.` message.
Commits on Apr 3, 2015
  1. @ockham

    Only process 'new' statements with an actual class name after them

    ockham authored
    As opposed to e.g. variables (think 'new $className').
    
    Props to @danielwrobert for reporting and testing
  2. @ockham

    In InAssignmentVisitor, check if LHS of assignment really is a variable

    ockham authored
    Otherwise, it will fail if the LHS is of a type that doesn't have a $name
    property, such as Node\Expr\ArrayDimFetch
    
    Props to @danielwrobert for reporting and testing
  3. @ockham

    Remove remnants of CodeCheckVisitor

    ockham authored
    Spurious leftovers from an earlier stage of the PHP-Parser migration.
Commits on Apr 2, 2015
  1. @nickdaugherty
  2. @ockham

    Merge pull request #218 from ockham/php-parser-checks

    ockham authored
    Use PHP Parser for checks
  3. @ockham
  4. @ockham
  5. @ockham
  6. @ockham
  7. @ockham
  8. @ockham
  9. @ockham
  10. @ockham
  11. @ockham
  12. @ockham

    Un-nest CustomizerCheck

    ockham authored
  13. @ockham
  14. @ockham
  15. @ockham
  16. @ockham
  17. @ockham
  18. @ockham
  19. @ockham
  20. @ockham
  21. @ockham
  22. @sboisvert

    spacing

    sboisvert authored
    Readability, I haz it.
  23. @sboisvert
  24. @sboisvert

    Up Requirement to PHP 5.4

    sboisvert authored
    To do $this inside closures for PR 218 we need at least 5.4. 
    Also, you shouldn't be running 5.3 if you want to develop a theme for VIP or WP.com
Commits on Mar 31, 2015
  1. @sboisvert
  2. @nickdaugherty

    Merge pull request #243 from BinaryMoon/patch-1

    nickdaugherty authored
    stop check on empty $file_content
  3. @nickdaugherty

    Merge pull request #269 from emrikol/serialized_data

    nickdaugherty authored
    VIP Scanner: Added scanning for serialized data functions.
  4. @sboisvert

    Better error handling if you just updated to 204

    sboisvert authored
    When updating from 204 if you don't include submodules things break. There was a check on activation but not just on regular run.
  5. @nickdaugherty

    Merge pull request #262 from emrikol/variable_variables

    nickdaugherty authored
    VIP Scanner: Brought variable var scan back into VIPRestrictedPatternsCheck
Something went wrong with that request. Please try again.